Subject: Re: [multimob] I-D Action:draft-ietf-multimob-fmipv6-pfmipv6-multicast-01.txt

From: "Thomas C. Schmidt" <[email-masked]>
Date: Tue, 01 Oct 2013 11:44:53 +0200

Hi Georgios,

many thanks! I'll be back on this document shortly, and will provide
detailed feedback then.

Best regards,

Thomas

On 01.10.2013 08:06, [email-masked] wrote:
> Hi Thomas,
> 
> During the last multimob WG meeting in Berlin I had volunteerd to 
> provide comments on the last version of this draft.
> 
> Here are these comments:
> 
> Comment_1:The draft is useful since it is providing a solution for 
> seamless and fast handover for multicast applications by extending 
> existing seamless and fast handover solutions used for unicast 
> applications, which are the Mobile IPv6 Fast Handovers (FMIPv6) 
> specified in RFC5568 and the Fast Handovers for Proxy Mobile IPv6 
> (PFMIPv6) specified in RFC5949.
> 
> Comment_2: A motivation section is missing from the draft. In my opinion 
> it is very useful to include such section in this draft. In particular, 
> this draft mentions that a seamless and fast handover solutions is 
> needed for multicast applications like IPTV. Other scenarios and 
> applications that will make use of such a solutions are Public 
> Protection and Disaster Relief (PPDR) scenarios, where mobile multicast 
> communications need to be supported between members of rescue teams, 
> police officers, fire brigade teams, paramedic teams, command control 
> offices in order to support the protection and health of citizens.
> 
> In particular three main PPDR scenarios & application types could be 
> distinguished:
> 
> 1)City security scenario:that can be used to support the day to day 
> safety and security of citizens.
> 
> 2)Disaster recovery scenario that deals with the protection of people 
> and rescue teams during large scale natural or man-made disasters, like 
> flooding, earth quakes and nuclear disasters.
> 
> 3)Temporary Protection PPDR scenario that deals with safety and security 
> of citizens visiting large planned events like football matches, pop 
> concerts and protest demonstrations.
> 
> Comment_3: List the requirements that need to be satisfied by this 
> solution. You may use as example Section 1.1 of  
> http://www.ietf.org/id/draft-ietf-multimob-handover-optimization-04.txt
> 
> Comment_4: Provide a more detailed message flow description, similar to 
> the one that is given in Section 5.1.2 in±
> 
> http://www.ietf.org/id/draft-ietf-multimob-handover-optimization-04.txt
> 
> This comment holds for Figures 2, 3, 4, 5
> 
> Comment_5: There is no description on how this draft, which specifies a 
> mobile multicast listener support solution, can be used in combination a 
> the mobile multicast senders, solution e.g., 
> http://www.ietf.org/id/draft-ietf-multimob-pmipv6-source-05.txt.
> 
> There are scenarios and applications that require the use of these two 
> solutions simultaneously.
> 
> Best regards,
> 
> Georgios
> 
>>
>>A New Internet-Draft is available from the on-line Internet-Drafts directories.
>> This draft is a work item of the Multicast Mobility Working Group of the IETF.
>>
>>       Title           : Multicast Listener Extensions for MIPv6 and PMIPv6 Fast Handovers
>>       Author(s)       : Thomas C. Schmidt
>>                          Matthias Waehlisch
>>                          Rajeev Koodli
>>                          Godred Fairhurst
>>                          Dapeng Liu
>>       Filename        : draft-ietf-multimob-fmipv6-pfmipv6-multicast-01.txt
>>       Pages           : 27
>>       Date            : 2013-02-25
>>
>>Abstract:
>>   Fast handover protocols for MIPv6 and PMIPv6 define mobility
>>   management procedures that support unicast communication at reduced
>>   handover latency.  Fast handover base operations do not affect
>>   multicast communication, and hence do not accelerate handover
>>   management for native multicast listeners.  Many multicast
>>   applications like IPTV or conferencing, though, are comprised of
>>   delay-sensitive real-time traffic and will benefit from fast handover
>>   execution.  This document specifies extension of the Mobile IPv6 Fast
>>   Handovers (FMIPv6) and the Fast Handovers for Proxy Mobile IPv6
>>   (PFMIPv6) protocols to include multicast traffic management in fast
>>   handover operations.  This multicast support is provided first at the
>>   control plane by a management of rapid context transfer between
>>   access routers, second at the data plane by an optional fast traffic
>>   forwarding that may include buffering.
>>
>>
>>The IETF datatracker status page for this draft is:
>>https://datatracker.ietf.org/doc/draft-ietf-multimob-fmipv6-pfmipv6-multicast
>>
>>There's also a htmlized version available at:
>>http://tools.ietf.org/html/draft-ietf-multimob-fmipv6-pfmipv6-multicast-01
>>
>>A diff from the previous version is available at:
>>http://www.ietf.org/rfcdiff?url2=draft-ietf-multimob-fmipv6-pfmipv6-multicast-01
>>
>>
>>Internet-Drafts are also available by anonymous FTP at:
>>ftp://ftp.ietf.org/internet-drafts/
>>
>>_______________________________________________
>>multimob mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/multimob
> 
> = = = = = = = = = = = = = = = = = = = =
> 
> 
> 　　　　　　　　致
> 礼！
> 
> 
> Shuai Gao
> Associate Professor
> National Engineering Lab for Next Generation Internet Interconnection 
> Devices
> Beijing Jiaotong University
> Beijing, China, 100044
> [email-masked]
> 2013-09-25
> 
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob
> 

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °